Subject: Re: [PATCH v3 0/5] Inclusive naming, part II

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Sep 2020 15:21:02 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> This patch series represents the logical next step on the journey begun with
> introducing init.defaultBranch: in these patches, we avoid a couple
> unnecessary mentions of the branch name "master".
>
> This patch series does not try to change the default branch name, although I
> have that patch series ready to go. You can see the overall idea here: 
> https://github.com/gitgitgadget/git/pull/655. Concretely, I plan on
> submitting three more patch series after this one:
>
>  1. a relatively small patch series to avoid using the branch name main in
>     the test suite. This is necessary because my plan is to change the
>     default branch name to that name, therefore it cannot be used as the
>     name of a topic branch any longer.
>  2. a relatively large patch series (currently consisting of 18 patches) to
>     change the default branch name to main. Most of the patches provide
>     non-trivial (read: non-scriptable) adjustments to the test suite in an
>     incremental fashion, with a big patch toward the end that reflects a
>     fully-automated search-and-replace of all the trivial cases.
>  3. a very small patch series with fall-out patches that are not necessary
>     to pass the test suite, but are still required to complete the rename
>     (adjusted code comment, file rename).
>
> (Note: I am still debating whether I should move one or two patches from the
> second to the third patch series)
>
> Changes since v2:
>
>  * Extended the idea of using topic instead of main to patch 4/5.
>  * Explained in the commit message of patch 5/5 why we cannot use topic 
>    instead of main here.

This round hasn't seen any new comments.  I quickly scanned them one
more time, and it seems to be in good shape.

Shall we merge it down to 'next'?

Thanks.